MOOR(1)

NAME
moor - the nice pager

SYNOPSIS
moor [options] file
moor --help
moor --version

DESCRIPTION
moor is a pager much like less (1), but with generally nicer out-of-the-box behavior.

More information and screenshots: https://github.com/walles/moor#readme

Inside of moor, press ? to access the built-in help.

Input is expected to be (optionally compressed) UTF-8 text. Invalid / unprintable characters are by default rendered as '?'.

OPTIONS
Multiple-choice options all have the default value listed first.

All of these options can be appended to the MOOR environment variable for persistent configuration.

Doing moor --help will also list these options.

--colors={auto | 8 | 16 | 256 | 16M}
    Size of color palette we output to the terminal

--debug
    Print debug logs after exiting, less verbose than --trace

--follow
    Scrolls automatically to follow piped input, just like tail -f

--lang=string
    Used for highlighting. Without this flag highlighting is based on the input file name. Valid values are MIME types like text/x-markdown, file extensions like md or language names like markdown. For the source of truth on what is supported exactly, look in https://github.com/alecthomas/chroma/tree/master/lexers/embedded or its parent directory.

--mousemode={auto | select | scroll}
    Guarantee selecting text with the mouse works but maybe not mouse scrolling. Or guarantee mouse scrolling works but selecting text requiring extra effort. Details here: https://github.com/walles/moor/blob/master/MOUSE.md

--no-clear-on-exit
    Retain screen contents when exiting moor. Affected by --no-clear-on-exit-margin.

--no-clear-on-exit-margin=int
    Leave this number of lines for your shell prompt after exiting. Defaults to 1. Affects --no-clear-on-exit and --quit-if-one-screen.

--no-linenumbers
    Hide line numbers on startup, press left arrow key to show

--no-reformat
    No effect, exists for backwards compatibility. See --reformat.

--no-statusbar
    Hide the status bar, toggle with =

--quit-if-one-screen
    Print input contents without paging if the input fits on one screen. Affected by --no-clear-on-exit-margin.

--reformat
    Reformat supported input files (JSON) before showing them.

--render-unprintable={highlight | whitespace}
    How unprintable characters are rendered

--scroll-left-hint=string
    UTF-8 character indicating the view can scroll left, defaults to an inverse <. This can be a string containing ANSI formatting. The word ESC in caps will be interpreted as one escape character. Example value for faint (using ANSI SGR code 2) tilde characters: ESC[2m~

--scroll-right-hint=string
    UTF-8 character indicating the view can scroll right, defaults to an inverse >. This can be a string containing ANSI formatting. The word ESC in caps will be interpreted as one escape character. Example value for faint (using ANSI SGR code 2) tilde characters: ESC[2m~

--shift=int
    Arrow keys side scroll amount. Or try ALT+arrow to scroll one column at a time.

--statusbar={inverse | plain | bold}
    Status bar style

--style={native | style}
    Highlighting style from https://xyproto.github.io/splash/docs/longer/all.html

--terminal-fg
    Use terminal foreground color rather than style foreground color for unstyled text

--trace
    Print trace logs after exiting, more verbose than --debug

--wrap
    Wrap long lines, toggle with w

+1234
    Immediately scroll to line 1234

ENVIRONMENT
Having PAGER=moor in your environment will make lots of different programs use moor as their pager.

Additional options are read from the MOOR environment variable if set, just as if those same options had been manually added to each moor invocation.

BUGS
Kindly report any bugs here: https://github.com/walles/moor/issues